%define iconname %{name}.png

Summary:	A collection manager
Name:		tellico
Version:	2.3.8
Release:	%mkrel 2
Epoch:		3
License:	GPLv2+
Group:		Databases
URL:		http://tellico-project.org/
Source:		http://www.tellico-project.org/files/%{name}-%{version}.tar.bz2
Requires:	kdebase4-runtime
Requires:	kdelibs4-core
Requires:	kdepimlibs4-core
#Requires:       kcm_cddb
BuildRequires:	qjson
BuildRequires:	qjson-devel
BuildRequires:	pkgconfig(poppler-qt4)
BuildRequires:	kdepimlibs4-devel
BuildRequires:	libksane-devel
BuildRequires:	kdelibs4-devel
BuildRequires:	exempi-devel
BuildRequires:	libxslt-devel >= 1.0.19
BuildRequires:	imagemagick
BuildRequires:	taglib-devel
BuildRequires:	pkgconfig(poppler-qt4)
BuildRequires:	yaz-devel >= 3.0
BuildRequires:  qimageblitz-devel
BuildRequires:	libxml2-devel

%description
Tellico is a collection manager for KDE. It includes default collections for
books, bibliographies, comic books, videos, music, coins, stamps, trading
cards, and wines, and also allows custom collections. Unlimited user-defined
fields are allowed. Filters are available to limit the visible entries by
definable criteria. Full customization for printing is possible through
editing the default XSLT file. It can import CSV, Bibtex, and Bibtexml and
export CSV, HTML, Bibtex, Bibtexml, and PilotDB. Entries may be imported
directly from different web services such as amazon.com.

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%{_kde_bindir}/%{name}
%{_kde_datadir}/applications/kde4/tellico.desktop
%{_kde_datadir}/mimelnk/application/x-tellico.desktop
%{_kde_datadir}/mime/packages/tellico.xml
%{_kde_datadir}/apps/%{name}
%{_kde_datadir}/apps/kconf_update/*
%{_kde_datadir}/config.kcfg/tellico_config.kcfg
%{_kde_datadir}/config/*
%{_kde_iconsdir}/hicolor/*/*/*.png

#--------------------------------------------------------------------

%prep
%setup -q

%build
# does debug
perl -pi -e 's/#if 0/#if 1/' src/fetch/amazonfetcher.cpp
%cmake_kde4
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-html


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3:2.3.8-2.mga4
+ Revision: 529321
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 bcornec <bcornec> 3:2.3.8-1.mga4
+ Revision: 451530
- Update to upstream 2.3.8

* Thu Jan 31 2013 bcornec <bcornec> 3:2.3.7-1.mga3
+ Revision: 393627
- Update to upstream tellico 2.3.7

* Mon Jan 14 2013 umeabot <umeabot> 3:2.3.6-2.mga3
+ Revision: 384340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dams <dams>
    - clean specfile

  + mikala <mikala>
    - Add requires for kcm_cddb (need to ensure that you can configure kcddb)

* Thu Jul 19 2012 fwang <fwang> 3:2.3.6-1.mga3
+ Revision: 272388
- new version 2.3.6

* Tue Jul 03 2012 fwang <fwang> 3:2.3.5-4.mga3
+ Revision: 266903
- more br

* Tue Jul 03 2012 fwang <fwang> 3:2.3.5-3.mga3
+ Revision: 266883
- update br

* Wed Jun 13 2012 fwang <fwang> 3:2.3.5-2.mga3
+ Revision: 260190
- rebuild for new poppler

* Tue Jan 17 2012 bcornec <bcornec> 3:2.3.5-1.mga2
+ Revision: 197114
- Updated tellico to 2.3.5 upstream
- Recert previous modifications which were already the right one. Sorry for the error
- And update the taf as well :-(
- Update build-requires for tellico

* Mon Oct 10 2011 bcornec <bcornec> 3:2.3.4-2.mga2
+ Revision: 153612
- Forgot to bump %%mkrel to 2
- Add a patch which fixes wrong booleans handling in 2.3.4 (from the 2.3.5 tree)

* Fri Oct 07 2011 fwang <fwang> 3:2.3.4-1.mga2
+ Revision: 152726
- upload tarball
- upload tarball

  + bcornec <bcornec>
    - Update to 2.3.4 upstream

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Wed Jul 06 2011 mikala <mikala> 3:2.3.3-2.mga2
+ Revision: 119449
- Fix BuildRequires ( use libksane-devel instead of kdegraphics4-devel)

* Sat Apr 30 2011 ahmad <ahmad> 3:2.3.3-1.mga1
+ Revision: 93863
- Readd the Epoch dropped on initial import so that the package can be updated
  when upgrading from mdv 2010.1

* Mon Apr 11 2011 dmorgan <dmorgan> 2.3.3-1.mga1
+ Revision: 83160
- New version 2.3.3

* Sat Feb 12 2011 bcornec <bcornec> 2.3.2-1.mga1
+ Revision: 50902
- Created package structure for tellico.

